> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shipstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Product Profile

> Deletes a Product Profile. Returns `422` with `used_by.slotting_rules`,
`used_by.replenishment_policies`, and `used_by.handling_classes` counts while any dependency exists.

On success, the endpoint returns `200 OK` with an empty response body.



## OpenAPI

````yaml DELETE /v1/inventory/product-profiles/{id}
openapi: 3.0.3
info:
  title: ShipStream
  version: '1.0'
  license:
    name: Commercial (Copyright 2025 - All Rights Reserved)
    url: https://shipstream.io
  contact:
    name: ShipStream Support
    email: help@shipstream.io
  termsOfService: https://shipstream.io/legal/api-terms/
servers:
  - url: https://{base_url_domain}/api/global
    description: Direct API Url
    variables:
      base_url_domain:
        default: example.shipstream.app
        description: >-
          The fully qualified domain name for your ShipStream WMS instance. This
          is either a custom domain, or a subdomain of shipstream.app,

          and will be the same as the domain name for the page which you use to
          login to ShipStream WMS.
security:
  - ShipStream_bearerAuth: []
tags:
  - name: Warehouses
    x-displayName: Warehouses
  - name: Products
    x-displayName: Products
  - name: ProductProfiles
    x-displayName: ProductProfiles
  - name: HandlingClasses
    x-displayName: HandlingClasses
  - name: Locations
    x-displayName: Locations
  - name: LocationTags
    x-displayName: LocationTags
  - name: SlotTypes
    x-displayName: SlotTypes
  - name: Levels
    x-displayName: Levels
  - name: HoldReasons
    x-displayName: HoldReasons
  - name: Holds
    x-displayName: Holds
  - name: Replenishment
    x-displayName: Replenishment
  - name: LocationProfiles
    x-displayName: LocationProfiles
  - name: SlottingRules
    x-displayName: SlottingRules
  - name: Deliveries
    description: Every thing about a Delivery Receiving
    x-displayName: Deliveries
  - name: Shipments
    x-displayName: Shipments
  - name: Orders
    x-displayName: Orders
  - name: Retailers
    x-displayName: Retailers
  - name: Users
    x-displayName: Users
  - name: User Roles
    x-displayName: User Roles
  - name: Merchants
    x-displayName: Merchants
  - name: Healthcheck
    x-displayName: Healthcheck
paths:
  /v1/inventory/product-profiles/{id}:
    delete:
      tags:
        - ProductProfiles
      summary: Delete Product Profile
      description: >-
        Deletes a Product Profile. Returns `422` with `used_by.slotting_rules`,

        `used_by.replenishment_policies`, and `used_by.handling_classes` counts
        while any dependency exists.


        On success, the endpoint returns `200 OK` with an empty response body.
      operationId: deleteProductProfile
      parameters:
        - name: id
          in: path
          required: true
          description: Product Profile ID.
          schema:
            type: integer
            format: int32
            minimum: 1
            example: 26
      responses:
        '200':
          $ref: '#/components/responses/Inventory_API_v1_200-ok-no-body'
        '400':
          $ref: >-
            #/components/responses/Inventory_API_v1_400-product-profile-bad-request
        '404':
          $ref: '#/components/responses/Inventory_API_v1_404-not-found'
        '422':
          $ref: >-
            #/components/responses/Inventory_API_v1_422-product-profile-delete-unprocessable
        '500':
          $ref: '#/components/responses/Inventory_API_v1_500-internal-server-error'
components:
  responses:
    Inventory_API_v1_200-ok-no-body:
      description: OK - The operation completed successfully and there is no response body.
    Inventory_API_v1_400-product-profile-bad-request:
      description: The Product Profile request was invalid and must be corrected.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Inventory_API_v1_BadRequest'
          example:
            errors:
              - type: parameters
                message: The supplied parameters are invalid.
    Inventory_API_v1_404-not-found:
      description: >-
        The requested resource was not found. It may have been deleted, it may
        have never existed, or you may not have permission to view it.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    type:
                      type: string
                      description: The error type code.
                      enum:
                        - not_found
                    message:
                      type: string
                      description: An English sentence describing the error type.
                    details:
                      type: array
                      description: >-
                        An array of objects describing which keys are
                        responsible for the error and detailed messages
                        describing why they are not valid.
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                            description: The path to the key which relates to the error.
                          message:
                            type: string
                            description: >-
                              An English sentence describing the details of the
                              error.
                        additionalProperties: false
                  additionalProperties: false
                minItems: 1
            additionalProperties: false
          example:
            errors:
              - type: not_found
                message: The server could not find the requested resource.
    Inventory_API_v1_422-product-profile-delete-unprocessable:
      description: >-
        The Product Profile could not be deleted because it is in use or another
        reference changed during deletion.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Inventory_API_v1_Unprocessable'
          examples:
            in_use:
              summary: The Product Profile is used by other configuration.
              value:
                errors:
                  - type: unable_to_process
                    message: The Product Profile is still in use and cannot be deleted.
                    details:
                      - key: used_by.slotting_rules
                        message: '1'
                      - key: used_by.replenishment_policies
                        message: '0'
                      - key: used_by.handling_classes
                        message: '1'
            reference_changed:
              summary: A reference changed while the delete was being processed.
              value:
                errors:
                  - type: unable_to_process
                    message: >-
                      Cannot delete a Product Profile that is still referenced
                      elsewhere; please retry.
    Inventory_API_v1_500-internal-server-error:
      description: >-
        Internal Server Error - Something wrong happened at server side. Contact
        server administrator for more details.
  schemas:
    Inventory_API_v1_BadRequest:
      type: object
      properties:
        errors:
          type: array
          minItems: 1
          items:
            type: object
            properties:
              type:
                type: string
                description: Machine-readable request error category.
                enum:
                  - parser
                  - parameters
                  - openapi
              message:
                type: string
                description: Human-readable request error summary.
              details:
                type: array
                items:
                  $ref: '#/components/schemas/Inventory_API_v1_Detail'
            additionalProperties: false
      additionalProperties: false
    Inventory_API_v1_Unprocessable:
      type: object
      properties:
        errors:
          type: array
          minItems: 1
          items:
            type: object
            properties:
              type:
                type: string
                description: Machine-readable processing error category.
                enum:
                  - application
                  - unable_to_process
              message:
                type: string
                description: Human-readable processing error summary.
              details:
                type: array
                items:
                  $ref: '#/components/schemas/Inventory_API_v1_Detail'
            additionalProperties: false
      additionalProperties: false
    Inventory_API_v1_Detail:
      type: object
      properties:
        key:
          type: string
          description: Request field or dependency represented by the detail.
        message:
          type: string
          description: Human-readable detail value.
      required:
        - key
        - message
      additionalProperties: false
  securitySchemes:
    ShipStream_bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Generate a JWT access token through a Custom Global Integration and
        provide it with each request in the `Authorization` header prefixed with
        "Bearer" and then a single space.

````